### 7.4 Invoking abc2ly

ABC is a fairly simple ASCII based format. It is described at the ABC site:

> http://www.gre.ac.uk/~c.walshaw/abc2mtex/abc.txt.

abc2ly translates from ABC to LilyPond. It is invoked as follows:

                 abc2ly [option]... abc-file

The following options are supported by abc2ly:

`-h,--help`
  this help
`-o,--output=`file
  set output filename to file.
`-v,--version`
  print version information.

There is a rudimentary facility for adding LilyPond code to the ABC source file. If you say:

                 %%LY voices \set autoBeaming = ##f

This will cause the text following the keyword “voices” to be inserted into the current voice of the LilyPond output file.

Similarly,

                 %%LY slyrics more words

will cause the text following the “slyrics” keyword to be inserted into the current line of lyrics.

##### Bugs

The ABC standard is not very “standard”. For extended features (e.g. polyphonic music) different conventions exist.

Multiple tunes in one file cannot be converted.

ABC synchronizes words and notes at the beginning of a line; abc2ly does not.

abc2ly ignores the ABC beaming.

Read comments on this page, or add one. This page is for LilyPond-2.2.5 (stable-branch).